aagc.vo

## Class PrestazioneErogataRequest

- java.lang.Object
- - aagc.vo.PrestazioneErogataRequest

-     public class PrestazioneErogataRequest
      extends java.lang.Object

  Classe Java per prestazioneErogataRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="prestazioneErogataRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codiceFarmacoPrescritto">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="10"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceFarmacoErogato">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="10"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="quantPrescritta">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <maxInclusive value="9"/>
                     <minInclusive value="1"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="quantErogata">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <maxInclusive value="9"/>
                     <minInclusive value="1"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceNotaCUF" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="5"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="flagGenericoIrreperibile" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0|1)?"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceFarmacoErogato`
    `protected java.lang.String` | `codiceFarmacoPrescritto`
    `protected java.lang.String` | `codiceNotaCUF`
    `protected java.lang.String` | `flagGenericoIrreperibile`
    `protected int` | `quantErogata`
    `protected int` | `quantPrescritta`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrestazioneErogataRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceFarmacoErogato()` Recupera il valore della proprietà codiceFarmacoErogato.
    `java.lang.String` | `getCodiceFarmacoPrescritto()` Recupera il valore della proprietà codiceFarmacoPrescritto.
    `java.lang.String` | `getCodiceNotaCUF()` Recupera il valore della proprietà codiceNotaCUF.
    `java.lang.String` | `getFlagGenericoIrreperibile()` Recupera il valore della proprietà flagGenericoIrreperibile.
    `int` | `getQuantErogata()` Recupera il valore della proprietà quantErogata.
    `int` | `getQuantPrescritta()` Recupera il valore della proprietà quantPrescritta.
    `void` | `setCodiceFarmacoErogato(java.lang.String value)` Imposta il valore della proprietà codiceFarmacoErogato.
    `void` | `setCodiceFarmacoPrescritto(java.lang.String value)` Imposta il valore della proprietà codiceFarmacoPrescritto.
    `void` | `setCodiceNotaCUF(java.lang.String value)` Imposta il valore della proprietà codiceNotaCUF.
    `void` | `setFlagGenericoIrreperibile(java.lang.String value)` Imposta il valore della proprietà flagGenericoIrreperibile.
    `void` | `setQuantErogata(int value)` Imposta il valore della proprietà quantErogata.
    `void` | `setQuantPrescritta(int value)` Imposta il valore della proprietà quantPrescritta.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codiceFarmacoPrescritto

          protected java.lang.String codiceFarmacoPrescritto

    - #### codiceFarmacoErogato

          protected java.lang.String codiceFarmacoErogato

    - #### quantPrescritta

          protected int quantPrescritta

    - #### quantErogata

          protected int quantErogata

    - #### codiceNotaCUF

          protected java.lang.String codiceNotaCUF

    - #### flagGenericoIrreperibile

          protected java.lang.String flagGenericoIrreperibile

  - ### Constructor Detail

    - #### PrestazioneErogataRequest

          public PrestazioneErogataRequest()

  - ### Method Detail

    - #### getCodiceFarmacoPrescritto

          public java.lang.String getCodiceFarmacoPrescritto()

      Recupera il valore della proprietà codiceFarmacoPrescritto.
      Returns:
        possible object is `String`

    - #### setCodiceFarmacoPrescritto

          public void setCodiceFarmacoPrescritto(java.lang.String value)

      Imposta il valore della proprietà codiceFarmacoPrescritto.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceFarmacoErogato

          public java.lang.String getCodiceFarmacoErogato()

      Recupera il valore della proprietà codiceFarmacoErogato.
      Returns:
        possible object is `String`

    - #### setCodiceFarmacoErogato

          public void setCodiceFarmacoErogato(java.lang.String value)

      Imposta il valore della proprietà codiceFarmacoErogato.
      Parameters:
        `value` - allowed object is `String`

    - #### getQuantPrescritta

          public int getQuantPrescritta()

      Recupera il valore della proprietà quantPrescritta.

    - #### setQuantPrescritta

          public void setQuantPrescritta(int value)

      Imposta il valore della proprietà quantPrescritta.

    - #### getQuantErogata

          public int getQuantErogata()

      Recupera il valore della proprietà quantErogata.

    - #### setQuantErogata

          public void setQuantErogata(int value)

      Imposta il valore della proprietà quantErogata.

    - #### getCodiceNotaCUF

          public java.lang.String getCodiceNotaCUF()

      Recupera il valore della proprietà codiceNotaCUF.
      Returns:
        possible object is `String`

    - #### setCodiceNotaCUF

          public void setCodiceNotaCUF(java.lang.String value)

      Imposta il valore della proprietà codiceNotaCUF.
      Parameters:
        `value` - allowed object is `String`

    - #### getFlagGenericoIrreperibile

          public java.lang.String getFlagGenericoIrreperibile()

      Recupera il valore della proprietà flagGenericoIrreperibile.
      Returns:
        possible object is `String`

    - #### setFlagGenericoIrreperibile

          public void setFlagGenericoIrreperibile(java.lang.String value)

      Imposta il valore della proprietà flagGenericoIrreperibile.
      Parameters:
        `value` - allowed object is `String`